package com.zjsgfa.project.zjsgfa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zjsgfa.project.zjsgfa.mapper.CzsmsMapper;
import com.zjsgfa.project.zjsgfa.domain.Czsms;
import com.zjsgfa.project.zjsgfa.service.ICzsmsService;

/**
 * 操作说明书Service业务层处理
 * 
 * @author ruoyi
 * @date 2026-03-25
 */
@Service
public class CzsmsServiceImpl implements ICzsmsService 
{
    @Autowired
    private CzsmsMapper czsmsMapper;

    /**
     * 查询操作说明书
     * 
     * @param id 操作说明书主键
     * @return 操作说明书
     */
    @Override
    public Czsms selectCzsmsById(Long id)
    {
        return czsmsMapper.selectCzsmsById(id);
    }

    /**
     * 查询操作说明书列表
     * 
     * @param czsms 操作说明书
     * @return 操作说明书
     */
    @Override
    public List<Czsms> selectCzsmsList(Czsms czsms)
    {
        return czsmsMapper.selectCzsmsList(czsms);
    }

    /**
     * 新增操作说明书
     * 
     * @param czsms 操作说明书
     * @return 结果
     */
    @Override
    public int insertCzsms(Czsms czsms)
    {
        return czsmsMapper.insertCzsms(czsms);
    }

    /**
     * 修改操作说明书
     * 
     * @param czsms 操作说明书
     * @return 结果
     */
    @Override
    public int updateCzsms(Czsms czsms)
    {
        return czsmsMapper.updateCzsms(czsms);
    }

    /**
     * 批量删除操作说明书
     * 
     * @param ids 需要删除的操作说明书主键
     * @return 结果
     */
    @Override
    public int deleteCzsmsByIds(Long[] ids)
    {
        return czsmsMapper.deleteCzsmsByIds(ids);
    }

    /**
     * 删除操作说明书信息
     * 
     * @param id 操作说明书主键
     * @return 结果
     */
    @Override
    public int deleteCzsmsById(Long id)
    {
        return czsmsMapper.deleteCzsmsById(id);
    }
}
